CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000813CEGUIBuild systempublic2012-06-08 18:472012-06-11 09:32
ReporterCrazyEddie 
Assigned ToCrazyEddie 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.7.6 
Target Version0.7.7Fixed in Version0.7.7 
Summary0000813: Build of static config fails when minizip resource provider is enabled.
DescriptionAs per summary.
Additional InformationSee: https://bugs.gentoo.org/show_bug.cgi?id=420293 [^]
TagsNo tags attached.
Attached Fileslog file icon cegui-0.7.6-r1:20120608-182551.log [^] (395,969 bytes) 2012-06-09 13:09

- Relationships

-  Notes
(0001064)
CrazyEddie (administrator)
2012-06-10 20:48

Could not reproduce this on my system, though after some investigation, the issue appears to be caused by a modification that Gentoo applies to the zlib header files (changing OF and ON to _Z_OF and _Z_ON respectively).

The bundled minizip files in CEGUI are expecting to find stock zlib headers, and thus the issue arises.

I am currently considering what action to take.
(0001065)
hasufell (reporter)
2012-06-10 22:52

As a workaround I guess we will do:

sed -i '1i#define OF(x) x' cegui/src/minizip/{ioapi,unzip}.h
(0001066)
CrazyEddie (administrator)
2012-06-11 09:31

I have patched this in CEGUI in order to support Gentoo users not using the portage version of CEGUI.

The modification is compatible with your current work-around, so when/if a CEGUI-0.7.7 release is made you can either remove your current work-around from the ebuild, or not, and things should still build either way.

- Issue History
Date Modified Username Field Change
2012-06-08 18:47 CrazyEddie New Issue
2012-06-09 13:09 hasufell File Added: cegui-0.7.6-r1:20120608-182551.log
2012-06-10 08:03 CrazyEddie Status new => assigned
2012-06-10 08:03 CrazyEddie Assigned To => CrazyEddie
2012-06-10 20:48 CrazyEddie Note Added: 0001064
2012-06-10 22:52 hasufell Note Added: 0001065
2012-06-11 09:31 CrazyEddie Note Added: 0001066
2012-06-11 09:31 CrazyEddie Status assigned => resolved
2012-06-11 09:31 CrazyEddie Fixed in Version 0.8.3 => 0.7.7
2012-06-11 09:31 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker